Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.ExecutableFormats.PELoader Class Reference

## Classes
class | Section

## Static Public Member Functions
static PELoader | ReadAssemblyMetadata (Stream stream)

## Properties
int | MajorRuntimeVersion`[get]`
| Gets the major version of the CLI runtime required for the assembly.
int | MinorRuntimeVersion`[get]`
| Gets the minor version of the CLI runtime required for the assembly.
ProcessorArchitecture | ProcessorArchitecture`[get]`
| Gets the processor architecture required for the assembly.
AssemblyName | AssemblyName`[get]`
| Gets the assembly references.
IList< AssemblyName > | AssemblyReferences`[get]`
| Gets the assembly references.
string | RuntimeVersion`[get]`
| Gets the runtime version in the form "vX.Y.ZZZZ".

## Private Types
enum | PeFormat : ushort { Pe32 = 0x10b , Pe32Plus = 0x20b }
enum | CorFlags : uint { F32BitsRequired = 2 , IlOnly = 1 , StrongNameSigned = 8 , TrackDebugData = 0x10000 }

## Private Member Functions
| PELoader (ushort majorRuntimeVersion, ushort minorRuntimeVersion, CorFlags corflags, PeFormat peFormat, AssemblyName assemblyName, IList< AssemblyName > assemblyReferences, string runtimeVersion)

## Static Private Member Functions
static uint | ResolveRva (IEnumerable< Section > sections, uint rva)

## Private Attributes
readonly ushort | _majorRuntimeVersion
readonly ushort | _minorRuntimeVersion
readonly CorFlags | _corFlags
readonly PeFormat | _peFormat
readonly AssemblyName | _assemblyName
readonly IList< AssemblyName > | _assemblyReferences
readonly string | _runtimeVersion

## Member Enumeration Documentation

## ◆ CorFlags

enum Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.CorFlags : uint
| private

Enumerator
F32BitsRequired |
IlOnly |
StrongNameSigned |
TrackDebugData |

## ◆ PeFormat

enum Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.PeFormat : ushort
| private

Enumerator
Pe32 |
Pe32Plus |

## Constructor & Destructor Documentation

## ◆ PELoader()

Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.PELoader | ( | ushort | majorRuntimeVersion,
|  | ushort | minorRuntimeVersion,
|  | CorFlags | corflags,
|  | PeFormat | peFormat,
|  | AssemblyName | assemblyName,
|  | IList< AssemblyName > | assemblyReferences,
|  | string | runtimeVersion )
| private

Here is the caller graph for this function:

## Member Function Documentation

## ◆ ReadAssemblyMetadata()

PELoader Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.ReadAssemblyMetadata | ( | Stream | stream | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ResolveRva()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.ResolveRva | ( | IEnumerable< Section > | sections,
|  | uint | rva )
| static private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _assemblyName

readonly AssemblyName Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._assemblyName
| private

## ◆ _assemblyReferences

readonly IList<AssemblyName> Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._assemblyReferences
| private

## ◆ _corFlags

readonly CorFlags Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._corFlags
| private

## ◆ _majorRuntimeVersion

readonly ushort Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._majorRuntimeVersion
| private

## ◆ _minorRuntimeVersion

readonly ushort Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._minorRuntimeVersion
| private

## ◆ _peFormat

readonly PeFormat Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._peFormat
| private

## ◆ _runtimeVersion

readonly string Zwipe.Build.Tools.IO.ExecutableFormats.PELoader._runtimeVersion
| private

## Property Documentation

## ◆ AssemblyName

AssemblyName Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.AssemblyName
| get

Gets the assembly references.

This field is only populated when the AssemblyName flag is specified.

Exceptions

  InvalidOperationException | Thrown if the assembly name was not populated.

## ◆ AssemblyReferences

IList<AssemblyName> Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.AssemblyReferences
| get

Gets the assembly references.

This field is only populated when the AssemblyReferences flag is specified.

Exceptions

  InvalidOperationException | Thrown if the assembly references were not populated.

## ◆ MajorRuntimeVersion

int Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.MajorRuntimeVersion
| get

Gets the major version of the CLI runtime required for the assembly.

Typical runtime versions:

- 2.0: .Net 1.0 / .Net 1.1
- 2.5: .Net 2.0 / .Net 3.0 / .Net 3.5 / .Net 4.0

## ◆ MinorRuntimeVersion

int Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.MinorRuntimeVersion
| get

Gets the minor version of the CLI runtime required for the assembly.

Typical runtime versions:

- 2.0: .Net 1.0 / .Net 1.1
- 2.5: .Net 2.0 / .Net 3.0 / .Net 3.5 / .Net 4.0

## ◆ ProcessorArchitecture

ProcessorArchitecture Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.ProcessorArchitecture
| get

Gets the processor architecture required for the assembly.

## ◆ RuntimeVersion

string Zwipe.Build.Tools.IO.ExecutableFormats.PELoader.RuntimeVersion
| get

Gets the runtime version in the form "vX.Y.ZZZZ".

This field is only populated when the RuntimeVersion flag is specified.

Exceptions

  InvalidOperationException | Thrown if the runtime version were not populated.

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/ExecutableFormats/PELoader.cs